@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital@0;1&family=Newsreader:ital,opsz,wght@0,6..72,200..800;1,6..72,200..800&display=swap');

/****************************
COLOR VARIABLES
*****************************/

:root {
    --darkBlue : #003B73;
    --lightBlue : #41729F;
    --transparentLightBlue: rgba(65,114,159,86%);
}

/****************************
GENERAL
*****************************/
a {
    text-decoration: none;
}

body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
    box-shadow: rgba(149,157,165,0.2) 0px 8px 24px;
    min-width: 375px;
}

/****************************
UTILITIES: GENERAL
*****************************/
.container {
    width: 100%;
    max-width: 120rem;
    min-width: 375px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 0px 3px 15px rgba(0,0,0,0.2);
}

.hidden {
    display: none;
}

.button {
    height: 1.5rem;
    width: 10rem;
    padding: 10px 8px;
    color: white;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0px 3px 15px rgba(0,0,0,0.2);
    background-color: var(--darkBlue);
    font-size: 1.2rem;
}
/****************************
UTILITIES: FONTS
*****************************/

.newsreader-font{
    font-family: 'Newsreader', 'Times New Roman', Times, serif;
}


/****************************
UTILITIES: FLEX
*****************************/
.flex {
    display: flex;
}

.flex-col {
    flex-direction: column;
    align-items: center;
}

.space-between {
    justify-content: space-between;
}

.space-around {
    justify-content: space-around;
}

.align-center {
    align-items: center;
}

.justify-center {
    justify-content: center;
}

/****************************
UTILITIES: GRID
*****************************/

.grid {
    display: grid;
}

.four-cols {
    grid-template-columns: repeat(4, 1fr);
}

/****************************
NAVIGATION
*****************************/

nav {
    z-index: 100;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0.8rem 1.5rem;
    box-sizing: border-box;
    background-color: white;
    max-width: 120rem;
    min-width: 375px;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    box-shadow: rgba(149,157,165,0.2) 0px 0px 24px;
}

#menu {
    font-family: 'Montserrat', sans-serif;
    gap: 1.2rem;
}

#menu a {
    /* color: black; */
    font-size: 1.1rem;
}

#menu a:hover {
    color: var(--lightBlue)
}

#menu div {
    color: var(--darkBlue);
}

#menu a {
    color: var(--darkBlue);
    position: relative;
}

#menu-button {
    background-color: var(--darkBlue);
    color: white;
    text-align: center;
    display: inline-block;
    cursor: pointer;
    border-radius: 0.5rem;
    padding: 0.6rem 1.5rem;
    border: solid 1px;
    border-color: transparent;
    letter-spacing: 0.1rem;
    margin-left: 15px;
    font-size: .9rem;
}

#menu-button span {
    color: white;
}

.activeLink::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: -4px; /* Adjust this value to change space */
    height: 1px; /* Thickness of the underline */
    width: 100%;
    background: var(--darkBlue);
}

#menu-icon {
    width: 25px;
    color: var(--darkBlue);
    display: none;
    font-size: 30px;
    align-self: center;
}

/****************************
FORM
*****************************/

#spacer {
    height: 20px;
}

#successMsg {
    display: none;
    padding: 10px;
    background-color: forestgreen;
    border-radius: 5px;
    color: white;
    max-width: 200px;
    margin-top: 5px;
}

.form-container {
    background-color: white;
    padding: 2rem; 
    max-width: 850px;
    margin: 75px auto;
    border-radius: 10px;
    padding: 2rem 5rem;
    box-shadow: 0px 3px 15px rgba(0,0,0,0.2);
    display: grid;
}

.form-container h1 {
    font-weight: normal;
    font-size: 2.5rem;
}

.form-container label {
    text-transform: uppercase;
    font-size: .8rem;
    font-weight: bolder;
    letter-spacing: 1px;
}

form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 2rem;
    max-width: 600px;
    margin-left: 5rem;
}

input {
    border: solid black .8px;
    border-radius: 5px;
    margin-top: 3px;
    height: 1.5rem;
}

textarea {
    border: solid black .8px;
    border-radius: 5px;
    margin-top: 3px;
    grid-column-start: 1;
    grid-column-end: span 2;
}

#agreeBox {
    display: none;
}

.form-group:nth-child(2), .form-group:nth-child(3)
{
    grid-row-start: 2;
}

.form-group:nth-child(4){
    grid-column-start: 1;
    grid-column-end: span 2;
    /* margin-top: 2rem; */
}

input[type=submit] {
    height: 2rem;
    width: 12rem;
    color: white;
    border-radius: 10px;
    text-align: center;
    background-color: var(--darkBlue);
    margin-top: 20px;
}

input[type="submit"]:hover {
    box-shadow: 0px 3px 15px rgba(0,0,0,0.2);
    cursor: pointer;
}


/****************************
HERO
*****************************/

#hero {
    background-image: url(/images/hero-image.jpg);
    height: 38rem;
    background-position: center;
    background-size: cover;
    position: relative;
    margin-top: 75px;
}

#hero-text {
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    background-color: var(--transparentLightBlue);
    width: 75%;
    max-width: 60rem;
    border-radius: 10px;
    padding: 3rem 0;
}

#hero-text h1 {
    font-size: 3rem;
}

#hero-text h1, #hero-text h2 {
    font-weight: normal;
    letter-spacing: .1rem;
}

/****************************
BANNER
*****************************/

#banner {
    /* height: 35rem; */
    background-color: var(--darkBlue);
    padding: 4rem;
}

#banner p {
    color: white;
    font-size: 2.8rem;
    line-height: 125%;
    max-width: 45%;
    margin-right: 2rem;
}

#banner img {
    border-radius: 15px;
    max-width: 45%;
}

/****************************
SERVICES GRID
*****************************/

#services {
    padding: 4rem 0;
}

#services h2 {
    font-size: 3rem;
    font-weight: normal;
    margin-bottom: 4rem;
    text-align: center;
}

#services-list {
    row-gap: 2rem;
    column-gap: 1.8rem;
}

.service {
    height: 2rem;
    width: 12rem;
    padding: 12px;
    color: white;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0px 3px 15px rgba(0,0,0,0.2);
    line-height: 2rem;
}

.service:nth-child(odd) {
    background-color: var(--lightBlue);
}

.service:nth-child(even) {
    background-color: var(--darkBlue);
}

/****************************
BENEFITS BANNER
*****************************/

#benefits {
    background-color: var(--lightBlue);
    width: 100%;
    padding: 4rem 2rem;
    width: 100%;
    box-sizing: border-box;
}

#benefits h2 {
    font-size: 2.5rem;
    color: white;
    font-weight: 350;
    text-align: center;
    line-height: 125%;
}

#benefits-icons {
    margin-top: 40px;
    width: 100%;
    max-width: 1100px;
    gap: 5rem;
}


.benefit-text {
    color: white;
    margin-top: 2rem;
}

.circle {
    position: relative;
    height: 175px;
    width: 175px;
    background-color: var(--darkBlue);
    border-radius: 50%;
}

.circle img {
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.benefit-text {
    font-size: 1.5em;
    text-align: center;
}

#benefits span {
    margin-top: 4rem;
    font-size: 2.5rem;
    color: white;
}

/****************************
PARTNERSHIP BANNER
*****************************/
#partnership-banner {
    padding: 4rem 6rem;
}

#partnership-banner div {
    max-width: 45%;
}

#partnership-banner div p {
    font-size: 2.8rem;
    line-height: 120%;
}

#partnership-banner img {
    border-radius: 15px;
    max-width: 45%;
    max-height: 451px;
}

#partnership-banner .button {
    border: solid 3px;
    border-color: transparent;
    transition: 0.3s;
}

.button:hover {
    border-color: var(--darkBlue);
    cursor: pointer;
    opacity: 0.8;
}

/****************************
BLOG PAGE
*****************************/

.pageTitle{
    background-color: var(--lightBlue);
    padding: 15px;
    color: white;
    margin-top: 75px;
}

.pageTitle h1 {
    text-align: center;
}


#blogPage {
    max-width: 1000px;
    margin: 25px auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 25px;
    justify-items: center;
}

#blogPage article {
    width: 300px;
    height: 400px;
    border-radius: 5px;
    box-shadow: rgba(149,157,165,0.2) 0px 0px 24px;
    position: relative;
}

#blogPage article:hover {
    box-shadow: rgba(59, 60, 62, 0.2) 0px 0px 24px;
}

#blogPage h2 {
    font-size: 18px;
}

#blogPage p {
    font-size: 14px;
}

#blogPage a {
    text-decoration: none;
}

.topHalf img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
}

.bottomHalf {
    padding: 10px;
    color: black;
}

/****************************
BLOG POST
*****************************/

.fullPost{
    max-width: 800px;
    margin: 0 auto;
    padding: 25px;
}

.fullPost h2, .fullPost h3 {
    font-weight: bolder;
    font-size: 20px;
}

.fullPost ol, .fullPost ul {
    padding-left: 20px;
}

.fullPost li {
    margin-bottom: 5px;
}

/****************************
LATEST ARTICLES
*****************************/

#articles-section {
    background-color: var(--lightBlue);
    padding: 4rem 6rem;
}


#articles-section h3 {
    font-size: 18px;
}

#articles-section h2{
    color: white;
    font-size: 2rem;
    margin-top: 0;
}

#latest-articles {
    max-width: 1000px;
    margin: 25px auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-items: center;
    min-height: 400px;
}

#latest-articles article {
    width: 300px;
    height: 400px;
    border-radius: 5px;
    box-shadow: rgba(149,157,165,0.2) 0px 0px 24px;
    position: relative;
    background-color: white;
}

#latest-articles article:hover {
    box-shadow: rgba(59, 60, 62, 0.2) 0px 0px 24px;
}

#third-article {
    display: none;
}

/****************************
ABOUT PAGE
*****************************/

#about-section {
    max-width: 800px;
    margin: 0 auto;
    padding: 25px;
}

#about-section h2 {
    color: var(--darkBlue);
    font-size: 24px;
}

/****************************
FOOTER
*****************************/
footer {
    background-color: var(--darkBlue);
    color: white;
    padding: 3rem 2rem;
    box-sizing: border-box;
    flex-wrap: wrap;
}

#footer {
    width: 100%;
    justify-content: space-between;
}

#footer h3 {
    max-width: 24rem;
}

#contact-info {
    align-items: flex-start;
}

#contact-info p {
    margin: 0;
}

#contact-info p:nth-child(2) {
    margin: 0;
    margin-bottom: .5rem;
}

#footer img {
    max-height: 175px;
    max-width: 175px;
}

#copy {
    margin-top: 60px;
}

footer a {
    color: white;
}

/****************************
MEDIA QUERY: MAX 1150
*****************************/
@media screen and (max-width: 1150px) {
    #articles-section {
        padding: 4rem; 
    }
}

/****************************
MEDIA QUERY: MAX 1060
*****************************/
@media screen and (max-width: 1060px) {
    #latest-articles {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 15px;
    }

    #third-article {
        display: block;
    }
}

/****************************
MEDIA QUERY: MAX 1000
*****************************/
@media screen and (max-width: 1000px) {
    #banner {
        flex-direction: column;
        height: auto;
        padding: 4rem;
    }

    #banner p {
        max-width: 80%;
        margin: 0;
        text-align: center;
    }

    #banner img {
        max-width: 92%;
        margin-top: 2rem;
    }

    #partnership-banner {
        flex-direction: column;
        height: auto;
        padding: 4rem;
    }

    #partnership-banner img {
        max-width: 92%;
    }

    #partnership-banner div {
        max-width: 80%;
    }

    #partnership-banner p {
        text-align: center;
        margin-top: 2rem;
    }

    #partnership-banner .button {
        margin-left: auto;
        margin-right: auto;
    }

    #footer {
        flex-direction: column;
        gap: 3rem;
    }

    #footer h3{
        margin-bottom: 0;
    }

    .form-container {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    #blogPage {
        grid-template-columns: repeat(2, 1fr);
        max-width: 750px;
    }
}



/****************************
MEDIA QUERY: MAX 972
*****************************/

@media screen and (max-width: 972px) {
    #services-list {
        grid-template-columns: repeat(3,1fr);
    }

    #menu {
        display: none;
    }

    #mobile-menu {
        display: block;
        position: absolute;
        top: 65px;
        left: 0;
        right: 0;
        flex-direction: column;
        text-align: center;
        background-color: white;
        overflow: hidden;
        max-height: 0px;
        transition: all 0.5s;
        font-size: 1.1rem;
    }

    #mobile-menu div {
        padding: 15px;
    }

    #mobile-menu a {
        color: var(--darkBlue);
        text-decoration: none;
    } 


    #phone {
        display: none;
    }

    #menu-icon {
        display: block;
    }
}

/****************************
MEDIA QUERY: MAX 950
*****************************/

@media screen and (max-width: 950px) {
    .form-container h1, form {
        margin-left: 0;
    } 
}

/****************************
MEDIA QUERY: MAX 827
*****************************/

@media screen and (max-width: 827px) {
    #latest-articles {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #articles-section {
        padding: 4rem 1rem;
    }

    #third-article {
        display: none;;
    }
}

/****************************
MEDIA QUERY: MAX 857
*****************************/

@media screen and (max-width: 857px) {

    #banner {
        padding: 4rem 1rem;
    }
    #benefits-icons {
        flex-direction: column;
    }

    #partnership-banner {
        padding: 4rem 1rem;
    }
}

/****************************
MEDIA QUERY: MAX 735
*****************************/

@media screen and (max-width: 735px) {
    #services-list {
        grid-template-columns: repeat(2, 1fr);
    }

    /* #logo img {
        width: 175px;
    } */

    #menu-button {
        padding: 0.6rem;
    }

    #hero {
        margin-top: 65px;
    }
}

/****************************
MEDIA QUERY: MAX 625
*****************************/
@media screen and (max-width: 625px) {
    #menu {
        display: none;
    }
    
    form {
        display: flex;
        flex-direction: column;
        row-gap: 1.5rem;
    }

    .form-group:nth-child(3){
        margin: 0;
    }

    textarea {
        width: 100%;
        max-width: 500px;
    }

    #blogPage {
        grid-template-columns: repeat(1, 1fr);
    }
}

/****************************
MEDIA QUERY: MAX 550
*****************************/

@media screen and (max-width: 550px) {
    #hero {
        height: 30rem;
    }
    #hero-text {
        width: 95%;
    }

    #hero-text h1 {
        font-size: 2rem;
    }

    #hero-text h2 {
        font-size: 1rem;
    }

    #banner p {
        font-size: 2rem;
    }

    #services h1 {
        font-size: 2rem;
    }

    .service {
        width: 9rem;
        height: 1.5rem;
        font-size: .8rem;
        padding: 9px;
        line-height: 1.5rem;
    }

    .circle {
        height: 150px;
        width: 150px;
    }

    .circle img {
        height: 100px;
    }

    #benefits {
        padding: 3rem 1rem;
    }

    #benefits h2 {
        font-size: 2rem;
    }

    #benefits span {
        font-size: 2rem;
    }

    #partnership-banner div p {
        font-size: 2rem;
    }
    /*on contact form*/

    #spacer {
        height: 30px;
    }


    footer {
        padding: 2rem;
    }

    #footer {
        justify-content: flex-start;
    }

    #footer img {
        max-height: 150px;
        max-width: 150px;
    }
}
